#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file submits a job to the SLURM queue for CPU profling.
# ------------------------------------------------------------------------------
#SBATCH --job-name=ectrans_gpu_prof_nproma_16
#SBATCH --partition=dev-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --account=project_465000454
#SBATCH --nodes=1
#SBATCH --gpus-per-node=8
#SBATCH --ntasks=8
#SBATCH --time=0:10:00

# Set required ENV variables.
export BINARY="ectrans-lam-benchmark-gpu-dp-acc"
export RESDIR="res-gpu_prof_nproma_16"

# Set runtime arguments to ENV value or default.
[ -z "$NPROMA" ] && export NPROMA=16
[ -z "$NFLD" ] && export NFLD=100
[ -z "$NLEV" ] && export NLEV=3
[ -z "$NITER" ] && export NITER=10  # TODO: Change back to 4.
[ -z "$NLAT" ] && export NLAT=1024
[ -z "$NLON" ] && export NLON=1536

# Profile the ecTrans dwarf.
./ectrans_prof_lumi-g.sh
