#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This script pulls all results from all or a specific profiling results folder.
# ------------------------------------------------------------------------------

if [ -z "$1" ]; then
    echo "Pulling all results.."

    # Create list of versions and pull one by one.
    declare -a versions=("8" "16" "32" "64" "128" "256")

    for v in "${versions[@]}"; do
        fullname="res-gpu_prof_nproma_$v"
        echo "Pulling $fullname.."

        scp -r lumi:ectrans-dwarf/profiling/$fullname/*.db $fullname/
        scp -r lumi:ectrans-dwarf/profiling/$fullname/*.json $fullname/
        scp -r lumi:ectrans-dwarf/profiling/$fullname/*.sysinfo.txt $fullname/
    done
else
    echo "Pulling specific results $1:.."

    scp -r lumi:ectrans-dwarf/profiling/$1/*.db $1/
    scp -r lumi:ectrans-dwarf/profiling/$1/*.json $1/
    scp -r lumi:ectrans-dwarf/profiling/$1/*.sysinfo.txt $1/
fi
